<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Transkrip</title>
    <style type="text/css">
        .background-color-white{
            background-color: white;
            box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19);
            border-radius: 10px;
            margin: 10px;
        }
        .shape{
            background-color: #4285f4;
            color: white;
            padding-top: 15px;
            padding-left: 15px;
            padding-bottom: 10px;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
        }
        .bd-warning{
            background-color: white;
            border: 2px solid #f0ad4e;
            border-radius: 15px;
            color: #f0ad4e;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 50px;
        }

        .bd-warning:hover{
            background-color: #f0ad4e;
            color: white;
        }

        .bd-primary{
            background-color: white;
            border: 2px solid #0275d8;
            border-radius: 15px;
            color: #0275d8;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 50px;
        }

        .bd-primary:hover{
            background-color: #0275d8;
            color: white;
        }

        .bd-danger{
            background-color: white;
            border: 2px solid #d9534f;
            border-radius: 15px;
            color: #d9534f;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 50px;
        }

        .bd-danger:hover{
            background-color: #d9534f;
            color: white;
        }
        .bd-success{
            background-color: white;
            border: 2px solid #5cb85c;
            border-radius: 15px;
            color: #5cb85c;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 50px;
        }

        .bd-success:hover{
            background-color: #5cb85c;
            color: white;
        }

    </style>
</head>
<body>
<th:block layout:fragment="script">
    <script th:inline="javascript">




    </script>
</th:block>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>Request Semester Pendek</h2>
<!--                                        <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit.</p>-->
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <!--<div class="breadcomb-report">
                                    <a th:href="@{/study/form}">
                                        <button class="btn btn-primary"><i class="fa fa-plus-circle"></i> Add KRS</button>
                                    </a>
                                </div>-->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-md-6 col-sm-12 background-color-white">


                <div class="card-body">
                    <div class="card shadow">

                        <div style="margin-top: 20px;" class="row">


                            <div th:if="${cekbox == 1}">
                                <div class="col-md-12">
                                    <h4 th:text="${cekCheckbox1.matakuliah.namaMatakuliah}"></h4>
                                    <div class="row">
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Total sks</span>
                                                <input type="text" class="form-control" readonly th:value="${jumlahSks1}">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Jumlah mahasiswa</span>
                                                <input type="text" class="form-control" readonly th:value="${jumlahPerMatkul1}">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Total Biaya</span>
                                                <input type="text" class="form-control" readonly th:value="${'Rp. ' + #numbers.formatDecimal(total1, 0, 'POINT', 2, 'COMMA')}">
                                            </div>
                                        </div>
                                    </div>
                                    <br>
                                </div>
                            </div>

                            <div th:if="${cekbox == 2}">
                                <div class="col-md-12">
                                    <h4 th:text="${cekCheckbox1.matakuliah.namaMatakuliah}"></h4>
                                    <div class="row">
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Jumlah sks</span>
                                                <input type="text" class="form-control" readonly th:value="${jumlahSks1}">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Jumlah mahasiswa</span>
                                                <input type="text" class="form-control" readonly th:value="${jumlahPerMatkul1}">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Biaya matakuliah</span>
                                                <input type="text" class="form-control" readonly th:value="${'Rp. ' + #numbers.formatDecimal(total1, 0, 'POINT', 2, 'COMMA')}">
                                            </div>
                                        </div>
                                    </div>
                                    <br>
                                    <h4 th:text="${cekCheckbox2.matakuliah.namaMatakuliah}"></h4>
                                    <div class="row">
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Jumlah sks</span>
                                                <input type="text" class="form-control" readonly th:value="${jumlahSks2}">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Jumlah mahasiswa</span>
                                                <input type="text" class="form-control" readonly th:value="${jumlahPerMatkul2}">
                                            </div>
                                        </div>
                                        <div class="col-md-4 col-sm-12">
                                            <div class="form-group">
                                                <span >Biaya matakuliah</span>
                                                <input type="text" class="form-control" readonly th:value="${'Rp. ' + #numbers.formatDecimal(total2, 0, 'POINT', 2, 'COMMA')}">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <span>Total sks</span>
                                                <input type="text" readonly class="form-control" th:value="${jumlahSks}">
                                            </div>
                                        </div>
                                        <div class="col-md-4 pull-right">
                                            <div class="form-group">
                                                <span>Total Biaya</span>
                                                <input type="text" class="form-control" readonly th:value="${'Rp. ' + #numbers.formatDecimal(totalTagihan, 0, 'POINT', 2, 'COMMA')}">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>


                        </div>

                    </div>
                </div>
                <br><br>

                <button type="button" class="btn btn-success" data-toggle="modal" data-target="#modalVerif">Submit</button>
                <a th:href="@{/report/transcript}"><button type="button" class="btn btn-danger">Cancel</button></a><br>

                <div class="modal fade" id="modalVerif" role="dialog">
                    <div class="modal-dialog modals-default">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                            </div>
                            <div class="modal-body">
                                <h4 class="text-center">Catatan</h4>
                                <p class="text-center">Pastikan matakuliah yang dipilih benar-benar prioritas dan sudah dikonsultasikan dengan dosen wali dan prodi</p>
                                <p class="text-center">Setelah Anda submit, maka tagihan akan langsung terkirim sesuai matakuliah dan sks yang diambil</p>
                            </div>
                            <div class="modal-footer">

                                <div th:if="${cekbox == 1}">
                                    <form id="save-krs1" method="post" th:action="@{/prakrs/request/sp}">
                                        <input type="hidden" name="idMatkul1" th:value="${cekCheckbox1.id}">
                                        <input type="hidden" name="jumlahSks" th:value="${jumlahSks}">
                                        <input type="hidden" th:value="${biayaSks}">
                                        <input type="hidden" th:value="${totalTagihan}">
                                        <input type="hidden" name="jumlahMatkul" th:value="${cekbox}">

                                        <div class="row">
                                            <div class="form-group">
                                                <div class="col-md-4">
                                                    <label class="pt-3" >Nomor Telepon</label>
                                                </div>
                                                <div class="col-md-4">
                                                    <input type="text" name="nomorTelepon" class="form-control" th:value="${mhs.teleponSeluler}" required>

                                                </div>
                                                <div class="col-md-4">
                                                    <button type="submit" id="myBtn1" onclick="saveKrs1()" class="btn btn-default text-center">Submit</button>
                                                    <button type="button" class="btn btn-default text-center" data-dismiss="modal">Close</button>
                                                </div>
                                            </div>
                                        </div>

                                    </form>
                                </div>

                                <div th:if="${cekbox == 2}">
                                    <form id="save-krs2" method="post" th:action="@{/prakrs/request/sp}">
                                        <input type="hidden" name="idMatkul1" th:value="${cekCheckbox1.id}">
                                        <input type="hidden" name="idMatkul2" th:value="${cekCheckbox2.id}">
                                        <input type="hidden" name="jumlahSks" th:value="${jumlahSks}">
                                        <input type="hidden" th:value="${biayaSks}">
                                        <input type="hidden" th:value="${totalTagihan}">
                                        <input type="hidden" name="jumlahMatkul" th:value="${cekbox}">

                                        <div class="row">
                                            <div class="form-group">
                                                <div class="col-md-4">
                                                    <label class="pt-3" >Nomor Telepon</label>
                                                </div>
                                                <div class="col-md-4">
                                                    <input type="text" name="nomorTelepon" class="form-control" th:value="${mhs.teleponSeluler}" required>

                                                </div>
                                                <div class="col-md-4">
                                                    <button type="submit" id="myBtn2" onclick="saveKrs2()" class="btn btn-default text-center">Submit</button>
                                                    <button type="button" class="btn btn-default text-center" data-dismiss="modal">Close</button>
                                                </div>
                                            </div>
                                        </div>

                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <br>

            </div>
            <div class="col-md-5 col-sm-12 background-color-white">
                <div class="card-body">
                    <div class="card shadow">
                        <div class="row">
                            <div class="col-md-12">
                                <h3>Catatan : </h3>
                                <p>- Pastikan matakuliah yang dipilih benar-benar prioritas dan sudah dikonsultasikan dengan dosen wali dan prodi</p>
                                <p>- Setelah Anda submit, maka tagihan akan langsung terkirim sesuai matakuliah dan sks yang diambil</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>
</section>
</body>
</html>
<script>
    function saveKrs1() {
        $("#myBtn1").removeClass("btn-default");
        $("#myBtn1").addClass("btn-warning");
        $("#myBtn1").prop('disabled', true);
        $("#myBtn1").html('Loading...');

        $("#save-krs1").submit();
    }
    function saveKrs2() {
        $("#myBtn2").removeClass("btn-default");
        $("#myBtn2").addClass("btn-warning");
        $("#myBtn2").prop('disabled', true);
        $("#myBtn2").html('Loading...');

        $("#save-krs2").submit();
    }
</script>